sasl_server_new(26 March 2000)

NAME
sasl_server_new - Create a new server authentication object

SYNOPSIS
#include <sasl.h>

int sasl_server_new(const char *service,
			 const char *local_domain,
			 const char *user_domain,
			 const sasl_callback_t *callbacks,
			 int secflags,
			 sasl_conn_t ** pconn);

DESCRIPTION
sasl_server_new() creates a new SASL context. This context will be used for all SASL calls for one connection. It handles both authentication and integrity/encyption layers after authentication.

service is the registered name of the service (usually the protocol name) using SASL (e.g. "imap"). local_domain is the domain that the server wish to support user_domain is the domain of the user agent. This is usually not necessary secflags XXX security flags (see above) pconn is the conection context allocated by the library. This structure will be used for all future SASL calls for this connection.

RETURN VALUE
sasl_server_new returns an integer which corresponds to one of the following codes. SASL_OK is the only one that indicates success. All others indicate errors and should either be handled or the authentication session should be quit.

ERRORS

SASL_OK
    Success

SASL_BADVERS
    Mechanism version mismatch

SASL_BADPARAM
    error in config file

SASL_NOMEM
    not enough memory to complete operation

CONFORMING TO
RFC 2222

SEE ALSO
othersaslstuff